
function Show() {
  $(".menu-container, .logo , li, .close, .icon-bar, #nav-lists").addClass("responsive");
  
}

function Hide(){
  $(".menu-container, .logo , li, .close, .icon-bar, #nav-lists").removeClass("responsive");
}

let createHeader = () => {
    let menu = $("#menu");
    let list = $("<ul>",{class: "nav-list"});
    menu.append(list)
    list.append("<li class='close'><span onclick='Hide()'>x</span></li>");
	json_menu.forEach((menu_item) => {
		list.append(
            getMenuItem(menu_item)
        );
	})
}

let getMenuItem = function (itemData) {
    let active = "";
    if(itemData.active){
        active = "active";
    }
    let item = $("<li>")
        .append(
    $("<a>", {
        href: itemData.href,
        html: itemData.name,
        class: active
    }));
    return item;
};

let createFooter = () => {
    let menu = $("#menu-footer");
	json_menu.forEach((menu_item) => {
		menu.append(
            getMenuItemFooter(menu_item)
        );
	})
}

let getMenuItemFooter = function (itemData) {
    let active = "";
    if(itemData.active){
        active = "active";
    }
    let item = 
    $("<a>", {
        href: itemData.href,
        html: itemData.name,
        class: active
    });
    return item;
};


$(document).ready(function(){
    createHeader();
    createFooter();
});